Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SensorDataProcessorInterfaces Class Reference

Interfaces of the SensorDataProcessor module. More...

`#include <SensorDataProcessor.h>`

Inheritance diagram for SensorDataProcessorInterfaces:

[legend]
Collaboration diagram for SensorDataProcessorInterfaces:

[legend]
List of all members.

## Public Member Functions
| SensorDataProcessorInterfaces (const SensorDataBuffer &sensorDataBuffer, const unsigned long &imageFrameNumber, const MotionInfo &motionInfo, BodyPercept &bodyPercept, BodyPosture &bodyPosture, CameraMatrix &cameraMatrix, PSDPercept &psdPercept)
| Constructor.
## Protected Attributes
const SensorDataBuffer & | sensorDataBuffer
| The SensorDataBuffer to be processed.
const unsigned long & | imageFrameNumber
| The frame number of the current image.
const MotionInfo & | motionInfo
| The motion info last received from Motion.
BodyPercept & | bodyPercept
| The BodyPercept to be calculated.
BodyPosture & | bodyPosture
| The BodyPosture to be calculated.
CameraMatrix & | cameraMatrix
| The offset and the rotation of the camera to be calculated.
PSDPercept & | psdPercept
| A spot relative to the robot that was detected by the PSD sensor to be calculated.

## Detailed Description

Interfaces of the SensorDataProcessor module.

Definition at line 28 of file SensorDataProcessor.h.

## Constructor & Destructor Documentation

SensorDataProcessorInterfaces::SensorDataProcessorInterfaces | ( | const SensorDataBuffer & | sensorDataBuffer,
|  | const unsigned long & | imageFrameNumber,
|  | const MotionInfo & | motionInfo,
|  | BodyPercept & | bodyPercept,
|  | BodyPosture & | bodyPosture,
|  | CameraMatrix & | cameraMatrix,
|  | PSDPercept & | psdPercept
| ) | `[inline]`

| Constructor. Definition at line 32 of file SensorDataProcessor.h.

## Member Data Documentation

const SensorDataBuffer& SensorDataProcessorInterfaces::sensorDataBuffer`[protected]`

| The SensorDataBuffer to be processed. Definition at line 51 of file SensorDataProcessor.h.

const unsigned long& SensorDataProcessorInterfaces::imageFrameNumber`[protected]`

| The frame number of the current image. Definition at line 54 of file SensorDataProcessor.h.

const MotionInfo& SensorDataProcessorInterfaces::motionInfo`[protected]`

| The motion info last received from Motion. Definition at line 57 of file SensorDataProcessor.h.

BodyPercept& SensorDataProcessorInterfaces::bodyPercept`[protected]`

| The BodyPercept to be calculated. Definition at line 60 of file SensorDataProcessor.h.

BodyPosture& SensorDataProcessorInterfaces::bodyPosture`[protected]`

| The BodyPosture to be calculated. Definition at line 63 of file SensorDataProcessor.h.

CameraMatrix& SensorDataProcessorInterfaces::cameraMatrix`[protected]`

| The offset and the rotation of the camera to be calculated. Definition at line 66 of file SensorDataProcessor.h.

PSDPercept& SensorDataProcessorInterfaces::psdPercept`[protected]`

| A spot relative to the robot that was detected by the PSD sensor to be calculated. Definition at line 69 of file SensorDataProcessor.h.

The documentation for this class was generated from the following file:

- Modules/SensorDataProcessor/SensorDataProcessor.h